petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMPIAdjSetPreallocation

Sets the array used for storing the matrix elements

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPIAdjSetPreallocation(Mat B,PetscInt *i,PetscInt *j,PetscInt *values)

Logically Collective on MPI_Comm

### Input Parameters

| A | - the matrix
| i | - the indices into j for the start of each row
| j | - the column indices for each row (sorted for each row). The indices in i and j start with zero (NOT with one).
| values | - [optional] edge weights

### See Also

MatCreate(), MatCreateMPIAdj(), MatSetValues()

### Level

intermediate

### Location

src/mat/impls/adj/mpi/mpiadj.c

### Implementations

MatMPIAdjSetPreallocation_MPIAdj in src/mat/impls/adj/mpi/mpiadj.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages